Subject: Re: Technical Support Engineer - Work from Office - Raphael Pascual applied on Indeed
From: "Raphael Pascual" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Sat, 9 Jul 2022 04:07:40 -0500 (CDT)

Please forgive my late response. I was so busy on our clearance in our university, because of this situation I'm in, I wasn't able to respond to your email on the right time. I hope we can reschedule our interview on 11th, 12th, 13th, 14th, and 15th of July(Monday, Tuesday, Wednesday, Thursday, and Friday) at 8am-12noon or 1pm-5pm. Once again, I'm very sorry for the delay response. I hope you can reach out to me soon. Thank you so much.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Cfe537703-1de6-4591-92c3-a7afb709def0%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.